Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class Registry.ObjectType

    java.lang.Object
      org.apache.fop.afp.modca.Registry.ObjectType

Enclosing class:
  Registry

    public class Registry.ObjectType

extends java.lang.Object

Encapsulates a MOD:CA Registry Object Type entry

Constructor Summary
`Registry.ObjectType(byte componentId, byte[] oid, java.lang.String name, boolean includable, java.lang.String mimeType)` Main constructor

Method Summary
`byte` | `getComponentId()` Returns the compontentId for this entry
`java.lang.String` | `getMimeType()` Returns the mime type associated with this object type
`java.lang.String` | `getName()` Returns the object type name for the given componentId
`byte[]` | `getOID()` Returns a MOD:CA object type OID from a given a componentId
`boolean` | `isIncludable()` Returns true if this component can be included with an IOB structured field
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Registry.ObjectType

    public Registry.ObjectType(byte componentId,
                               byte[] oid,
                               java.lang.String name,
                               boolean includable,
                               java.lang.String mimeType)

  Main constructor

  Parameters:
    `componentId` - the component id of this object type
    `oid` - the object id of this object type
    `name` - the object type name
    `includable` - true if this object can be included with an IOB structured field
    `mimeType` - the mime type associated with this object type

Method Detail

### getOID

    public byte[] getOID()

  Returns a MOD:CA object type OID from a given a componentId

  Returns:
    the corresponding object type id for a given component id or null if the component id is unknown and the object type OID was not found.

### getName

    public java.lang.String getName()

  Returns the object type name for the given componentId

  Returns:
    the object type name for the given componentId

### getComponentId

    public byte getComponentId()

  Returns the compontentId for this entry

  Returns:
    the compontentId for this entry

### isIncludable

    public boolean isIncludable()

  Returns true if this component can be included with an IOB structured field

  Returns:
    true if this component can be included with an IOB structured field

### getMimeType

    public java.lang.String getMimeType()

  Returns the mime type associated with this object type

  Returns:
    the mime type associated with this object type

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.